Subject: Re: [PATCH RFC] diff --no-index: teach option to exclude files by pattern

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 May 2025 11:09:46 -0700

Jacob Keller <[email-masked]> writes:

> I guess the one weirdness is that pathspecs must come after the first
> 2 arguments, since we need to find 2 paths first. But this matches the
> way that treeish must come first in git diff-tree -r takes treeish and
> then pathspecs, and you can't re-order them arbitrarily either.
>
> Does this sound like a reasonable extension to the existing 2 argument
> form of git diff --no-index?

Absolutely.

Or you could even use "--" convention in the examples you would
write in the documentation, even though you may not absolutely need
it for the purpose of parsing the command line, to highlight the
fact that two things to be compared is given and then with an
optional pathspec after the two things, e.g.,

 $ git diff --no-index git-1.6.0 git-2.43.0 -- Documentation/

or something silly like that.